-- Josephine Suen, jsuen

CREATE TABLE Airlines(
   id             INT         PRIMARY KEY,
   airlines       VARCHAR(32) NOT NULL,
   abbreviation   VARCHAR(16) NOT NULL,
   country        VARCHAR(32) NOT NULL
);

CREATE TABLE Airports(
   city           VARCHAR(32) NOT NULL,
   airportCode    CHAR(4)     PRIMARY KEY,
   airportName    VARCHAR(32) NOT NULL,
   country        VARCHAR(32) NOT NULL,
   countryAbbrev  CHAR(4)     NOT NULL
);

CREATE TABLE Flights(
   airline        INT         NOT NULL,
   flightNo       INT         NOT NULL,
   sourceAirport  CHAR(4)     NOT NULL,
   destAirport    CHAR(4)     NOT NULL,
   CONSTRAINT pk_AirlineFlightNo PRIMARY KEY(airline, flightNo),
   CONSTRAINT fk_Airline FOREIGN KEY(airline) REFERENCES Airlines(id),
   CONSTRAINT fk_SourceAirport FOREIGN KEY(sourceAirport) REFERENCES Airports(airportCode),
   CONSTRAINT fk_DestAirport FOREIGN KEY(destAirport) REFERENCES Airports(airportCode)
);