-- Josephine Suen, jsuen

CREATE TABLE Customers(
   id             INT            PRIMARY KEY,
   lastName       VARCHAR(16)    NOT NULL,
   firstName      VARCHAR(16)    NOT NULL
);

CREATE TABLE Goods(
   id             VARCHAR(16)    PRIMARY KEY,
   flavor         VARCHAR(16)    NOT NULL,
   food           VARCHAR(16)    NOT NULL,
   price          DECIMAL(2,2)   NOT NULL
);

CREATE TABLE Receipts(
   receiptNumber  INT            PRIMARY KEY,
   purchaseDate   DATE           NOT NULL,
   customerId     INT            NOT NULL,
   CONSTRAINT fk_CustomerId FOREIGN KEY(customerId) REFERENCES Customers(id)
);

CREATE TABLE Items(
   receipt        INT            NOT NULL,
   ordinal        INT            NOT NULL,
   item           VARCHAR(16)    NOT NULL,
   CONSTRAINT fk_Receipt FOREIGN KEY(receipt) REFERENCES Receipts(receiptNumber),
   CONSTRAINT fk_Item FOREIGN KEY(item) REFERENCES Goods(id)
);