-- Josephine Suen, jsuen

CREATE TABLE Continents(
   contId         INT            PRIMARY KEY,
   continent      VARCHAR(16)    UNIQUE NOT NULL
);

CREATE TABLE Countries(
   countryId      INT            PRIMARY KEY,
   countryName    VARCHAR(16)    UNIQUE NOT NULL,
   continent      INT            NOT NULL,
   CONSTRAINT fk_Continent FOREIGN KEY(continent) REFERENCES Continents(contId)
);

CREATE TABLE CarMakers(
   id             INT            PRIMARY KEY,
   maker          VARCHAR(16)    UNIQUE NOT NULL,
   fullName       VARCHAR(32)    UNIQUE NOT NULL,
   country        INT            NOT NULL,
   CONSTRAINT fk_Country FOREIGN KEY(country) REFERENCES Countries(countryId)
);

CREATE TABLE ModelList(
   modelId        INT            PRIMARY KEY,
   maker          INT            NOT NULL,
   model          VARCHAR(16)    UNIQUE NOT NULL,
   CONSTRAINT fk_Maker FOREIGN KEY(maker) REFERENCES CarMakers(id)
);

CREATE TABLE CarNames(
   makeId         INT            PRIMARY KEY,
   model          VARCHAR(16)    NOT NULL,
   makeDescript   VARCHAR(64)    NOT NULL,
   CONSTRAINT fk_Model FOREIGN KEY(model) REFERENCES ModelList(model)
);

CREATE TABLE CarsData(
   id             INT            NOT NULL,
   mpg            INT, -- data set has some null
   cylinders      INT,
   edispl         INT,
   horsepower     INT, -- data set has some null
   weight         INT,
   accelerate     FLOAT,
   year           INT            NOT NULL,
   CONSTRAINT fk_Id FOREIGN KEY(id) REFERENCES CarNames(makeId)
);