-- Josephine Suen, jsuen

CREATE TABLE Rooms(
   roomId         CHAR(4)     PRIMARY KEY,
   roomName       VARCHAR(32) UNIQUE NOT NULL,
   beds           INT         NOT NULL,
   bedType        VARCHAR(8)  NOT NULL,
   maxOccupancy   INT         NOT NULL,
   basePrice      INT         NOT NULL,
   decor          VARCHAR(16) NOT NULL
);

CREATE TABLE Reservations(
   code           INT         PRIMARY KEY,
   room           CHAR(4)     NOT NULL,
   checkIn        DATE        NOT NULL,
   checkOut       DATE        NOT NULL,
   rate           INT         NOT NULL,
   lastName       VARCHAR(32) NOT NULL,
   firstName      VARCHAR(32) NOT NULL,
   adults         INT         NOT NULL CHECK(adults > 0),
   kids           INT         NOT NULL,
   CONSTRAINT fk_Room FOREIGN KEY(room) REFERENCES Rooms(roomId)
);