-- Josephine Suen, jsuen

CREATE TABLE Appellations(
   no             INT            UNIQUE NOT NULL,
   appellation    VARCHAR(64)    PRIMARY KEY,
   county         VARCHAR(32)    NOT NULL,
   state          VARCHAR(16)    NOT NULL,
   area           VARCHAR(32)    NOT NULL,
   isAVA          CHAR(4)        NOT NULL
);

CREATE TABLE Grapes(
   id             INT            UNIQUE NOT NULL,
   grape          VARCHAR(32)    PRIMARY KEY,
   color          VARCHAR(8)     NOT NULL
);

CREATE TABLE Wine(
   no             INT            PRIMARY KEY,
   grape          VARCHAR(32)    NOT NULL,
   winery         VARCHAR(32)    NOT NULL,
   appellation    VARCHAR(64)    NOT NULL,
   name           VARCHAR(64)    NOT NULL,
   year           INT            NOT NULL,
   price          INT            NOT NULL,
   score          INT            NOT NULL,
   cases          INT,
   CONSTRAINT fk_Grape FOREIGN KEY(grape) REFERENCES Grapes(grape),
   CONSTRAINT fk_Appellation FOREIGN KEY(appellation) REFERENCES Appellations(appellation)
);